<template>
  <div class="card">
    <div class="card-header">
      <slot name="header"></slot>
    </div>
    <div class="card-body">
      <slot name="body"></slot>
    </div>
  </div>
</template>

<script>
export default {};
</script>

<style scoped lang="scss">
.card {
  position: relative;
  display: flex;
  flex-direction: column;

  border: 1px solid #0000001a;
  background: #ffffff;
  border-radius: 8px;

  width: 100%;
  height: auto;
  box-shadow: 0 2px 4px #00000050;
}
.card-header{
  padding: 8px 16px;
  border-bottom: 1px solid #0000001a;
}
.card-body{
  padding: 8px 16px;
}
</style>
